# $Revision: 1.34 $, $Date: 2004/05/07 00:59:48 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tree
%define	pnam	RedBlack
Summary:	Tree::RedBlack - Perl implementation of Red/Black tree, a type of balanced tree
Summary(pl):	Tree::RedBlack - implementacja perlowa drzew czerwono-czarnych
Name:		perl-Tree-RedBlack
Version:	0.3
Release:	10
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96d0822d005045fd90251a0cd9ccacea
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl implementation of the Red/Black tree algorithm found in
the book "Algorithms", by Cormen, Leiserson & Rivest (more commonly
known as "CLR" or "The White Book"). A Red/Black tree is a binary tree
which remains "balanced" - that is, the longest length from root to a
node is at most one more than the shortest such length. It is fairly
efficient; no operation takes more than O(lg(n)) time.

%description -l pl
To jest perlowa implementacja algorytmu drzew czerwono-czarnych, ktr
mona znale w ksice "Algorithms" autorstwa Cormena, Leisersona i
Rivesta (czciej znanej jako "CLR" lub "Biaa ksiga"). Drzewo
czerwono-czarne to binarne drzewo, ktre pozostaje wywaone - czyli
najdusza droga od korzenia do licia jest najwyej o jeden dusza
od najkrtszej. Jest do wydajne; adna operacja nie trwa duej ni
O(log(n)).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tree/RedBlack.pm
%{perl_vendorlib}/Tree/RedBlack
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tree-RedBlack.spec,v $
Revision 1.34  2004/05/07 00:59:48  ankry
- rel. 10

Revision 1.33  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.32  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.31  2004/04/15 21:24:55  ankry
- cosmetics

Revision 1.30  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:06  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/15 21:59:27  qboosh
- pl description, release++

Revision 1.21  2002/08/11 19:36:52  radek
- release up

Revision 1.20  2002/08/11 19:32:59  radek
- (automatic) provided informative description

Revision 1.19  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:37:15  depesz
adapterized

Revision 1.13  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:18:00  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:20:33  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:37  pius
- updated to 0.3

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
